#-----------------------------------------------------------------
#
# File: QAR_CMAF_DIR.pm
#
# Copyright 2009 Programming Research Ltd
#
# Version: 1.0
#
# Written: C Waddingham, 30-October-2009
#
# Purpose: 
#
#-----------------------------------------------------------------

#-- package QAR_CMAF_DIR: ----------------------------------------

package QAR_CMAF_DIR;

BEGIN
{
   require QAR_UTIL;

   use strict;
   use integer;

   our $prdf = "prdf";
   our $transforms = "transforms";

   our $qar_home_dir = "";
   our $cmaf_dir = "";
}

#-------------------------------------------------------------------

sub SET_QAR_HOME_DIR
{
   # Usage: SET_QAR_HOME_DIR( $qar_home_dir );
   #
   $QAR_CMAF_DIR::qar_home_dir = shift;
}

#-------------------------------------------------------------------

sub QAR_HOME_DIR
{
   # Usage: $dir = QAR_HOME_DIR();
   #
   return $QAR_CMAF_DIR::qar_home_dir;
}

#-------------------------------------------------------------------

sub SET_CMAF_DIR
{
   # Usage: SET_CMAF_DIR( $cmaf_dir );
   #
   $QAR_CMAF_DIR::cmaf_dir = shift;
}

#-------------------------------------------------------------------

sub CMAF_DIR
{
   # Usage: $cmaf_dir = CMAF_DIR();
   #

   my $cmaf_dir = $QAR_CMAF_DIR::cmaf_dir;

   if ( ! $QAR_UTIL::platform_is_windows )
   {
      # Bodge. Because the Unix GUI surrounds some(?) paths in ' '
      # remove them here
      #
      $cmaf_dir =~ s/^'//o;
      $cmaf_dir =~ s/'$//o;
   }

   return $cmaf_dir;
}

#-------------------------------------------------------------------

sub TRANSFORMS_DIR
{
   # Quote: $trans_dir = TRANSFORMS_DIR();
   #

   return QAR_HOME_DIR() . 
          QAR_UTIL::APPLY_FINAL_SEP( $prdf ) .
          QAR_UTIL::APPLY_FINAL_SEP( $transforms );
}

#-- eof QAR_CMAF_DIR.pm --------------------------------------------

1
